<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
  <modelVersion>4.0.0</modelVersion>
  <groupId>jp.ac.kyutech.mns.ist.SimpleATN</groupId>
  <artifactId>SimpleATN</artifactId>
  <packaging>jar</packaging>
  <version>1.0-SNAPSHOT</version>
  <name>SimpleATN</name>
  <properties>
    <jdk.version>17</jdk.version>
    <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
    <project.build.targetEncoding>UTF-8</project.build.targetEncoding>
    <maven.compiler.source>11</maven.compiler.source>
    <maven.compiler.target>11</maven.compiler.target>
  </properties>
  <url>http://maven.apache.org</url>

  <dependencies>
    <dependency>
      <groupId>junit</groupId>
      <artifactId>junit</artifactId>
      <version>3.8.1</version>
      <scope>test</scope>
    </dependency>

    <!-- https://mvnrepository.com/artifact/net.sf.josql/josql -->
    <!-- https://mvnrepository.com/artifact/net.java.linoleum/jlfgr -->
    <dependency>
      <groupId>net.java.linoleum</groupId>
      <artifactId>jlfgr</artifactId>
      <version>1_0</version>
    </dependency>
    <!-- <dependency>
      <groupId>lookandfeel</groupId>
      <artifactId>lookandfeel</artifactId>
      <version>1.0</version>
      <scope>system</scope>
      <systemPath>${basedir}/jar/jlfgr-1_0.jar</systemPath>
    </dependency> -->

    <!-- <dependency>
      <groupId>net.sf.josql</groupId>
      <artifactId>josql</artifactId>
      <version>2.2</version>
    </dependency> -->
    <dependency>
      <groupId>net.sf.josql</groupId>
      <artifactId>josql</artifactId>
      <version>2.2</version>
      <scope>system</scope>
      <systemPath>${basedir}/jar/JoSQL-2.2.jar</systemPath>
    </dependency>
    <!-- https://mvnrepository.com/artifact/commons-codec/commons-codec -->
    <dependency>
      <groupId>commons-codec</groupId>
      <artifactId>commons-codec</artifactId>
      <version>1.15</version>
    </dependency>
    <!-- <dependency>
      <groupId>org.apache.commons.codec</groupId>
      <artifactId>codec</artifactId>
      <version>1.3</version>
      <scope>system</scope>
      <systemPath>${project.basedir}/jar/commons-codec-1.3.jar</systemPath>
    </dependency> -->

    <!-- https://mvnrepository.com/artifact/org.apache.httpcomponents/httpclient -->
    <!-- <dependency>
      <groupId>org.apache.httpcomponents</groupId>
      <artifactId>httpclient</artifactId>
      <version>4.5.13</version>
    </dependency> -->
    <dependency>
      <groupId>org.apache.commons.httpclient</groupId>
      <artifactId>httpclient</artifactId>
      <version>3.0.1</version>
      <scope>system</scope>
      <systemPath>${basedir}/jar/commons-httpclient-3.0.1.jar</systemPath>
    </dependency>

    <!-- https://mvnrepository.com/artifact/commons-lang/commons-lang -->
    <dependency>
      <groupId>commons-lang</groupId>
      <artifactId>commons-lang</artifactId>
      <version>2.6</version>
    </dependency>
    <!-- <dependency>
      <groupId>org.apache.commons.lang</groupId>
      <artifactId>lang</artifactId>
      <version>2.5</version>
      <scope>system</scope>
      <systemPath>${project.basedir}/jar/commons-lang-2.5.jar</systemPath>
    </dependency> -->

    <!-- https://mvnrepository.com/artifact/mysql/mysql-connector-java -->
    <!-- <dependency>
      <groupId>mysql</groupId>
      <artifactId>mysql-connector-java</artifactId>
      <version>8.0.28</version>
    </dependency> -->
     <dependency>
      <groupId>com.mysql.jdbc.exceptions.jdbc4</groupId>
      <artifactId>jdbc4</artifactId>
      <version>5.1</version>
      <scope>system</scope>
      <systemPath>${basedir}/jar/mysql-connector-java-5.1.18-bin.jar</systemPath>
    </dependency>

    <!-- https://mvnrepository.com/artifact/com.itextpdf/itextpdf -->
    <dependency>
      <groupId>com.itextpdf</groupId>
      <artifactId>itextpdf</artifactId>
      <version>5.5.13.3</version>
    </dependency>
    <!-- <dependency>
      <groupId>com.itextpdf.text</groupId>
      <artifactId>itextpdf</artifactId>
      <version>5.1.3</version>
      <scope>system</scope>
      <systemPath>${project.basedir}/jar/itextpdf-5.1.3.jar</systemPath>
    </dependency> -->

    <!-- <dependency>
      <groupId>pothos_tegaki</groupId>
      <artifactId>pothos_tegaki</artifactId>
      <version>1.1</version>
      <scope>system</scope>
      <systemPath>${project.basedir}/jar/pothosapi.jar</systemPath>
    </dependency> -->


    <!-- <dependency>
      <groupId>com.google.inject</groupId>
      <artifactId>guice</artifactId>
      <version>3.0</version>
  </dependency> -->
  </dependencies>

  <build>
    <plugins>
      <plugin>
        <groupId>org.codehaus.mojo</groupId>
        <artifactId>exec-maven-plugin</artifactId>
        <version>1.2.1</version>
        <configuration>
          <mainClass>jp.ac.kyutech.mns.ist.SimpleATN</mainClass>
          <includeProjectDependencies>true</includeProjectDependencies>
        </configuration>
      </plugin>

      <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-dependency-plugin</artifactId>
        <executions>
          <execution>
            <phase>prepare-package</phase>
            <goals>
              <goal>unpack-dependencies</goal>
            </goals>
            <configuration>
              <outputDirectory>${project.build.directory}/</outputDirectory>
              <includeArtifactIds>pothos_tegaki,itextpdf,jdbc4,lookandfeel,josql,codec,httpclient,lang</includeArtifactIds>
            </configuration>
          </execution>
        </executions>
      </plugin>

      <plugin>
        <artifactId>maven-assembly-plugin</artifactId>
        <configuration>
          <!-- 成果物の名前にassemblyがidを振ってしまうのを無効にする -->
          <!-- <appendAssemblyId>false</appendAssemblyId> -->

          <archive>
            <manifest>
              <mainClass>jp.ac.kyutech.mns.ist.SimpleATN</mainClass>
            </manifest>
            <manifestEntries>
              <Permissions>all-permissions</Permissions>
              <Class-Path>.</Class-Path>
            </manifestEntries>
          </archive>
          <descriptorRefs>
            <descriptorRef>jar-with-dependencies</descriptorRef>
          </descriptorRefs>
          <!-- <descriptors>
            <descriptor>assembly.xml</descriptor>
          </descriptors> -->

        </configuration>
      </plugin>
    </plugins>
  </build>

</project>